Name:           python-up42-py
Version:        2.3.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python SDK for UP42, the geospatial marketplace and developer platform.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            ...
Source:         %{pypi_source up42_py}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'up42-py' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-up42-py
Summary:        %{summary}

%description -n python3-up42-py %_description


%prep
%autosetup -p1 -n up42_py-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-up42-py -f %{pyproject_files}


%changelog
%autochangelog